Arbor 3: FSM & BT Graph Editor 3.6.0

Public Member Functions | Static Public Member Functions | List of all members
FlexibleRigidbody Class Reference

参照方法が複数ある柔軟なRigidbody型を扱うクラス。 More...

Inheritance diagram for FlexibleRigidbody:

## Public Member Functions
| FlexibleRigidbody ()
| FlexibleRigidbodyデフォルトコンストラクタ More...
| FlexibleRigidbody (Rigidbody value)
| FlexibleRigidbodyコンストラクタ More...
| FlexibleRigidbody (RigidbodyParameterReference parameter)
| FlexibleRigidbodyコンストラクタ More...
| FlexibleRigidbody (InputSlotRigidbody slot)
| FlexibleRigidbodyコンストラクタ More...
| FlexibleRigidbody (FlexibleHierarchyType hierarchyType)
| FlexibleRigidbodyコンストラクタ。 More...

## Static Public Member Functions
static | operator Rigidbody (FlexibleRigidbody flexible)
| FlexibleRigidbodyをRigidbodyにキャスト。 More...
static | operator FlexibleRigidbody (Rigidbody value)
| RigidbodyをFlexibleRigidbodyにキャスト。 More...

## Detailed Description

参照方法が複数ある柔軟なRigidbody型を扱うクラス。

## Constructor & Destructor Documentation

## ◆ FlexibleRigidbody() [1/5]

FlexibleRigidbody | ( |  | ) |

FlexibleRigidbodyデフォルトコンストラクタ

## ◆ FlexibleRigidbody() [2/5]

FlexibleRigidbody | ( | Rigidbody | value | ) |

FlexibleRigidbodyコンストラクタ

Parameters

  value | 値

## ◆ FlexibleRigidbody() [3/5]

FlexibleRigidbody | ( | RigidbodyParameterReference | parameter | ) |

FlexibleRigidbodyコンストラクタ

Parameters

  parameter | パラメータ

## ◆ FlexibleRigidbody() [4/5]

FlexibleRigidbody | ( | InputSlotRigidbody | slot | ) |

FlexibleRigidbodyコンストラクタ

Parameters

  slot | スロット

## ◆ FlexibleRigidbody() [5/5]

FlexibleRigidbody | ( | FlexibleHierarchyType | hierarchyType | ) |

FlexibleRigidbodyコンストラクタ。

Parameters

  hierarchyType | 参照するオブジェクトのヒエラルキータイプ

## Member Function Documentation

## ◆ operator FlexibleRigidbody()

static operator FlexibleRigidbody | ( | Rigidbody | value | ) |
| explicit static

RigidbodyをFlexibleRigidbodyにキャスト。

Parameters

  value | Rigidbody

## ◆ operator Rigidbody()

static operator Rigidbody | ( | FlexibleRigidbody | flexible | ) |
| explicit static

FlexibleRigidbodyをRigidbodyにキャスト。

Parameters

  flexible | FlexibleRigidbody